﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Collections.Generic;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;

public partial class RadSchedulerRadMenu : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void RadMenu1_OnItemClick(object sender, RadMenuEventArgs e)
    {
        RadMenuItem currentItem = e.Item;
        string currentItemText = currentItem.Text;
        string controlPath = string.Empty;

        switch (currentItemText)
        {
            case ("One.One"):
                controlPath = "SampleControl1.ascx";
                break;
            case ("One.Two"):
                controlPath = "SampleControl2.ascx";
                break;
            default:
                break;
        }
        if (!String.IsNullOrEmpty(controlPath))
        {
            LoadUserControl(controlPath);
        }
        
    }

    
    private void LoadUserControl(string controlPathParam)
    {
        string controlPath = controlPathParam;

        PlaceHolder1.Controls.Clear();
        UserControl uc = (UserControl)LoadControl(controlPath);
        PlaceHolder1.Controls.Add(uc);
    }

  
}
